
package com.loafle.overflow.crawler;
import static org.junit.Assert.*;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.loafle.overflow.crawler.config.Config;
import com.loafle.overflow.crawler.mongo.MongoCrawler;
import com.loafle.overflow.crawler.result.OFResultSet;
import com.mongodb.MongoClient;
import com.mongodb.MongoClientOptions;
import com.mongodb.ServerAddress;
import com.mongodb.client.MongoDatabase;
import org.bson.Document;
import org.junit.Ignore;
import org.junit.Test;

import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class MongoCrawlerTest {

    @Test
    @Ignore
    public void TestCollectMetric() throws Exception {


        // read test resources config/example.json
        ClassLoader classLoader = getClass().getClassLoader();
        String path = classLoader.getResource("config/example.json").getFile();

        ObjectMapper mapper = new ObjectMapper();
        Config c = mapper.readValue(new File(path),Config.class);

        MongoCrawler cr = new MongoCrawler();
        List<OFResultSet> rl = (List<OFResultSet>)cr.collectMetric(c);

        for(int indexI = 0 ; indexI < rl.size(); ++indexI) {
            Map<String, String> m = rl.get(indexI).getData();
            for( String key : m.keySet()) {
                System.out.print("key : " + key);
                System.out.print("|| value : ");
                System.out.println(m.get(key));
            }
        }


//        assertEquals(6, m.size());
    }
}